<?php

namespace App\Models\fcmodels;

use Illuminate\Database\Eloquent\Model;

class Survey extends Model
{
    //
    protected $connection = 'mysql_newfc';
    protected $fillable = [
        'name',
        'organization_id',
        'participant_preloaded',
        'shortcode',
        'status',
    ];
    //orguser-org rlshp
    public function surveyOrg()
    {
        return $this->belongsTo(Organization::class,'organization_id');
    }

    public function surveyQuestion()
    {
        return $this->hasMany(Question::class,'survey_id');
    }
}

